USN-6623-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-6623-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6623-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6623-1
Related
Published
2024-02-06T15:32:38.254018Z
Modified
2024-02-06T15:32:38.254018Z
Summary
python-django vulnerability
Details

It was discovered that Django incorrectly handled certain inputs that uses intcomma template filter. An attacker could possibly use this issue to cause a denial of service.

References

Affected packages

Ubuntu:Pro:18.04:LTS / python-django

Package

Name
python-django

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1:1.11.11-1ubuntu1.21+esm3

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "python-django-common": "1:1.11.11-1ubuntu1.21+esm3",
            "python-django-doc": "1:1.11.11-1ubuntu1.21+esm3",
            "python-django": "1:1.11.11-1ubuntu1.21+esm3",
            "python3-django": "1:1.11.11-1ubuntu1.21+esm3"
        }
    ]
}

Ubuntu:20.04:LTS / python-django

Package

Name
python-django

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:2.2.12-1ubuntu0.21

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "python-django-doc": "2:2.2.12-1ubuntu0.21",
            "python3-django": "2:2.2.12-1ubuntu0.21"
        }
    ]
}

Ubuntu:22.04:LTS / python-django

Package

Name
python-django

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:3.2.12-2ubuntu1.10

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "python-django-doc": "2:3.2.12-2ubuntu1.10",
            "python3-django": "2:3.2.12-2ubuntu1.10"
        }
    ]
}

Ubuntu:23.10 / python-django

Package

Name
python-django

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
3:4.2.4-1ubuntu2.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "python-django-doc": "3:4.2.4-1ubuntu2.1",
            "python3-django": "3:4.2.4-1ubuntu2.1"
        }
    ]
}